DHCP6S(8)

NAME
dhcp6s - DHCPv6 server

SYNOPSIS
dhcp6s [-c configfile] [-Ddf] [-k ctlkeyfile] [-p ctlport] interface

DESCRIPTION
dhcp6s replies to DHCPv6 client as DHCPv6 server. dhcp6s can give the following information to clients.
•   IPv6 prefixes for the requesting site
•   Non-temporary IPv6 addresses
•   A list of the DNS server addresses
•   DNS Domain Search List
•   A list of the NTP server addresses
•   A list of the SIP server addresses
•   SIP Server domain name

Command line options are as below:

-c configfile
    Use configfile as the configuration file.

-d  Print debugging messages.

-D  Even more debugging information is printed.

-f  Foreground mode (useful when debugging). Although dhcp6s usually prints warning, debugging, or error messages to syslog(8), it prints the messages to standard error if this option is specified.

-k ctlkeyfile
    Use ctlkeyfile to store the shared secret to authenticate the communication with dhcp6sctl. The default file name used when unspecified is /usr/local/v6/etc/dhcp6sctlkey. The default name is intentionally same as that for dhcp6sctl so that the server and the control command can share the file when dhcp6sctl controls the server on the same node, which should be the typical case.

-p ctlport
    Use ctlport as the port number listening on to communicate with dhcp6sctl.

FILES
/usr/local/v6/etc/dhcp6s.conf
    is the default configuration file.
/var/db/dhcp6s_duid
    is the default file to store the server's DUID.
/usr/local/v6/etc/dhcp6sctlkey
    is the default key file to communicate with the control command. See dhcp6sctl(8) for the file format.

SEE ALSO
dhcp6s.conf(5), dhcp6sctl(8), dhcp6c(8) Ralph Droms, Editor, 2003, Dynamic Host Configuration Protocol for IPv6 (DHCPv6), RFC 3315.

HISTORY
The dhcp6s command first appeared in WIDE/KAME IPv6 protocol stack kit.

The -n dnsserv command-line option was obsoleted by introducing a configuration file.

BUGS
dhcp6s is incomplete and violates DHCPv6 protocol spec, in several aspects. To name a few:

1.  it does not assign temporary IPv6 addresses (nor will).

2.  Some of useful option type values are still not officially assigned. The current implementation uses experimental values, which may cause interoperability problems with other implementations.